GearmanJob::__construct
GearmanJob::exception
GearmanJob
PHP Manual

# GearmanJob::data

(PECL gearman <= 0.5.0)

GearmanJob::data — Send data for a running job (deprecated)

### Description

public bool GearmanJob::data ( string `$data` )

Sends data to the job server (and any listening clients) for this job.

> Note: This method has been replaced by GearmanJob::sendData in the 0.6.0 release of the Gearman extension.

### Parameters

`data`

  Arbitrary serialized data.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- GearmanJob::workload - Get workload
- GearmanTask::data - Get data returned for a task

GearmanJob::__construct
GearmanJob::exception
GearmanJob
PHP Manual